Subject: Re: bug#28342: 26.0.50; (OSX) Jumpy Scrolling using Trackpad

From: Eli Zaretskii <[email-masked]>
Date: Wed, 06 Sep 2017 19:55:41 +0300

> From: Alan Third <[email-masked]>
> Date: Wed, 6 Sep 2017 09:53:54 +0100
> Cc: [email-masked], "Charles A. Roelli" <[email-masked]>,
> 	James Nguyen <[email-masked]>
> 
> I can replicate on ms windows using just:
> 
> (setq scroll-margin 5)
> (setq scroll-preserve-screen-position 1)
> (setq mouse-wheel-scroll-amount '(1))
> 
> Open a large file. Make sure you're at the start of the file
> 
> M-<
> 
> Scroll down with the mouse wheel and within a few clicks point jumps to the middle of the screen. A few more
> and it jumps to the end of the file.

Even simpler: after evaluating the first 2 of the above 3 settings,
visit xdisp.c, then type this twice:

  C-u 1 C-v

After you type this the second time, Emacs will infloop.

This bug is already present in Emacs 25.1.

I will look into this when I have time.  Thanks for the recipe.